Couldn’t agree a host key algorithm

Wanneer je via PuTTY een ESX host benadert en je krijgt de melding “couldn’t agree a host key algorithm (available rsa-sha2-512, rsa-sha2-256, ecdsa-sha2-nistp256)” voor je kiezen, is het tijd voor een update.

Download de laatste installer van de Putty Site. Eenmaal geinstalleerd krijg je weer de respons die je verwacht en kun je verder met je werk. In mijn geval, verbinden met de ESXI shell om een vmware update te installeren.

PS: dit is een bewuste keuze voor vSphere 7.0 Update 2d aangezien de installatie op een SD-tje staat. Dus vandaar de keuze voor:

esxcli software profile update -p ESXi-7.0U2d-18538813-standard \
-d https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml

En niet voor de onderstaande om vSphere 7.0 Update 3a te installeren:

esxcli software profile update -p ESXi-7.0U3a-18825058-standard \
-d https://hostupdate.vmware.com/software/VUM/PRODUCTION/main/vmw-depot-index.xml